apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: static-fe-gateway
  namespace: frontend-static
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
  - port:
      number: 80
      name: http-static-fe
      protocol: http
    hosts:
    - "clicqui.adaoncloud.com"
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: static-fe
  namespace: frontend-static
spec:
  hosts:
  - "clicqui.adaoncloud.com"
  gateways:
  - static-fe-gateway
  http:
  - match:
    - uri:
        prefix: /updateFile
    route:
    - destination:
        host: static-fe-sync
  - match:
    - port: 80
    route:
    - destination:
        host: static-fe
        port:
          number: 80